#### signal_set_base::flags

Enumeration representing the different types of flags that may specified when adding a signal to a set.

    enum flags

###### Values

none

  Bitmask representing no flags.

restart

  Affects the behaviour of interruptible functions such that, if the function would have failed with error::interrupted when interrupted by the specified signal, the function shall instead be restarted and not fail with error::interrupted.

no_child_stop

  Do not generate SIGCHLD when child processes stop or stopped child processes continue.

no_child_wait

  Do not transform child processes into zombies when they terminate.

dont_care

  Special value to indicate that the signal registration does not care which flags are set, and so will not conflict with any prior registrations of the same signal.